gpu-manager: /etc/modprobe.d is not a file

Bug #1369216 reported by dino99 on 2014-09-14
348
This bug affects 73 people
Affects Status Importance Assigned to Milestone
ubuntu-drivers-common (Ubuntu)
Medium
Canonical Desktop Team

Bug Description

Get these lines logged into gpu-manager.log, on that fresh stock installation

/etc/modprobe.d is not a file
update-alternatives: error: no alternatives for x86_64-linux-gnu_gfxcore_conf

ProblemType: Bug
DistroRelease: Ubuntu 14.10
Package: upstart 1.13.2-0ubuntu1
ProcVersionSignature: Ubuntu 3.16.0-14.20-generic 3.16.2
Uname: Linux 3.16.0-14-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.14.7-0ubuntu2
Architecture: amd64
CurrentDesktop: GNOME
Date: Sun Sep 14 08:42:45 2014
ProcKernelCmdline: BOOT_IMAGE=/boot/vmlinuz-3.16.0-14-generic root=UUID=7c755ed6-51cc-4b75-88ac-9c75acf82749 ro
SourcePackage: upstart
UpgradeStatus: No upgrade log present (probably fresh install)
UpstartBugCategory: System
UpstartRunningSessionVersion: upstart 1.13.2
UpstartRunningSystemVersion: init (upstart 1.13.2)
modified.conffile..etc.default.whoopsie: [modified]
modified.conffile..etc.gdm.Init.Default: [modified]
mtime.conffile..etc.default.whoopsie: 2014-08-29T19:12:47.435075
mtime.conffile..etc.gdm.Init.Default: 2014-09-07T17:01:23.246055

dino99 (9d9) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in upstart (Ubuntu):
status: New → Confirmed
Bontius (bontius) on 2014-10-07
tags: added: trusty
c4gamerz (arshad-vayani) wrote :

I am getting same issue in ubuntu 14.04. I have installed nvidia 331 driver and when I switch to nvidia, it is throwing following error:

$ sudo prime-switch nvidia
/etc/modprobe.d is not a file
/etc/modprobe.d is not a file
/etc/modprobe.d is not a file
/etc/modprobe.d is not a file
update-alternatives: error: no alternatives for x86_64-linux-gnu_gfxcore_conf

Max Harris (maxsue) wrote :

I have ann idenical problem to c4gamerz.
It seems to be tied in with Wine and the latest updates to the kernel headers. It all went haywire after installing Wine and the headers on the same day.

c4gamerz (arshad-vayani) wrote :

I have not installed Wine yet. I have also treid kernel 3.14 and 3.16 but issue still exisits.

Changed in upstart (Ubuntu):
importance: Undecided → High
c4gamerz (arshad-vayani) wrote :

I was able to resolve this issue by removing intel grahics installer. Here are the steps I followed:

1) In additional drivers, select nouveau as default driver.

2) Purge nvidia using following command:
sudo apt-get purge nvidia*

3) Completely remove intel graphics installer and files instaleld by it using following guide:

http://theclonker.de/?p=89

replace quantal with trusty.

4) When you purge intel driver i915*, on next reboot an older version might get activated so remove it as well. Simply install synaptic and search "i915" and uninstall if any old version is activated. Restart after that.

5) Enable nvidia driver again in additional drivers. It should work fine!

Now I am using xorg edgers repository and have installed nvidia 340.58 driver. It performs much better than nvidia 331 so I will highly recommend it.

dino99 (9d9) wrote :

Vivid: that issue does not exist (systemd boot)

I do see this symptom with Vivid, even after purging everything nvidia related.

Bontius (bontius) wrote :

It seems to have disappeared in Vivid for me as well:

dpkg -l | grep "nvidia\|intel"
ii intel-gpu-tools 1.8-1 amd64 tools for debugging the Intel graphics driver
ii libdrm-intel1:amd64 2.4.61+git20150521.e9ea1f42-0ubuntu0ricotz2~vivid amd64 Userspace interface to intel-specific kernel DRM services -- runtime
ii libdrm-intel1:i386 2.4.61+git20150521.e9ea1f42-0ubuntu0ricotz2~vivid i386 Userspace interface to intel-specific kernel DRM services -- runtime
ii nvidia-346 346.72-0ubuntu0~xedgers15.04.1 amd64 NVIDIA binary driver - version 346.72
ii nvidia-346-uvm 346.72-0ubuntu0~xedgers15.04.1 amd64 Transitional package for nvidia-346
ii nvidia-modprobe 346.46-0ubuntu1 amd64 Load the NVIDIA kernel driver and create device files
ii nvidia-opencl-icd-346 346.72-0ubuntu0~xedgers15.04.1 amd64 NVIDIA OpenCL ICD
ii nvidia-prime 0.8.1 amd64 Tools to enable NVIDIA's Prime
ii nvidia-settings 352.09-0ubuntu0~xedgers15.04.1 amd64 Tool for configuring the NVIDIA graphics driver
ii whois 5.2.7 amd64 intelligent WHOIS client

@Bontius, you seem to be using xedgers? The bug report was about a stock installation.

Bontius (bontius) wrote :

True, sorry for the mistake. However I've had this error for half a year now, through two distributions and several [edgers] drivers.

dino99 (9d9) wrote :

Glancing at the Wily journalctl, its also logged: gpu-manager[797]: /etc/modprobe.d is not a file

tags: added: wily
Nathan Adams (nadams) wrote :

I see the '/etc/modprobe.d is not a file' message on Ubuntu 15.04 with my AMD/ATI Radeon HD 7850 video card (so its not isolated to nvidia).

$ sudo lshw -c video | grep driver
       configuration: driver=radeon latency=0

dino99 (9d9) wrote :

Glancing again at the Wily gpu-manager.log:

that error is gone with Wily installation.

tags: removed: utopic
tags: removed: wily
dino99 (9d9) on 2015-09-01
tags: added: wily
dino99 (9d9) wrote :

error back into Wily

i've purged the i965-va-driver to see if it makes a diff (i've no intel discrete chip or card on that system)

Well, I am on Willy and do not have a Nvidia graphic card but still see the same error:

Dec 01 09:20:52 M2 gpu-manager[892]: update-alternatives: error: no alternatives for x86_64-linux-gnu_gfxcore_conf

Guru (guruhb) wrote :

Not booting in GUI mode, Using Nvidia driver 352.16 driver. Not done any update nor installed any new packages. Booting the system started with Terminal mode.

Tried starting GUI mode by
$sudo lightdm
/etc/modprobe.d is not a file // 4 times repeated
update-alternatives: error: no alternatives for x86_64-linux-gnu_gfxcore_conf
$_

dino99 (9d9) on 2016-02-04
tags: added: xenial
dino99 (9d9) wrote :

Looks identical as that fixed one:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-drivers-common/+bug/1376966

so adding that package, might not concern upstart as xenial is using systemd.

Changed in upstart (Ubuntu):
status: Confirmed → Incomplete
tags: removed: trusty
no longer affects: upstart (Ubuntu)
dino99 (9d9) wrote :

 sudo systemctl status gpu-manager.service
[sudo] password for oem:
● gpu-manager.service - Detect the available GPUs and deal with any system changes
   Loaded: loaded (/lib/systemd/system/gpu-manager.service; enabled; vendor preset: enabled)
   Active: inactive (dead) since Thu 2016-02-04 14:47:23 CET; 31min ago
  Process: 750 ExecStart=/usr/bin/gpu-manager --log /var/log/gpu-manager.log (code=exited, status=0/SUCCESS)
 Main PID: 750 (code=exited, status=0/SUCCESS)

Feb 04 14:47:19 u64 systemd[1]: Starting Detect the available GPUs and deal.....
Feb 04 14:47:20 u64 gpu-manager[750]: /etc/modprobe.d is not a file
Feb 04 14:47:20 u64 gpu-manager[750]: /etc/modprobe.d is not a file
Feb 04 14:47:20 u64 gpu-manager[750]: /etc/modprobe.d is not a file
Feb 04 14:47:20 u64 gpu-manager[750]: /etc/modprobe.d is not a file
Feb 04 14:47:20 u64 gpu-manager[750]: /etc/modprobe.d is not a file
Feb 04 14:47:23 u64 gpu-manager[750]: update-alternatives: error: no altern...nf
Feb 04 14:47:23 u64 systemd[1]: Started Detect the available GPUs and deal ...s.
Hint: Some lines were ellipsized, use -l to show in full.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubuntu-drivers-common (Ubuntu):
status: New → Confirmed
dino99 (9d9) wrote :

Actual xenial output:

sudo systemctl status gpu-manager.service

gpu-manager.service - Detect the available GPUs and deal with any system changes
   Loaded: loaded (/lib/systemd/system/gpu-manager.service; enabled; vendor preset: enabled)
   Active: inactive (dead) since Tue 2016-03-08 08:06:13 CET; 6h ago
 Main PID: 837 (code=exited, status=0/SUCCESS)

Tue 08 08:06:09 u64 systemd[1]: Starting Detect the available GPUs and deal with any system changes...
Tue 08 08:06:10 u64 gpu-manager[837]: /etc/modprobe.d is not a file
Tue 08 08:06:10 u64 gpu-manager[837]: /etc/modprobe.d is not a file
Tue 08 08:06:10 u64 gpu-manager[837]: /etc/modprobe.d is not a file
Tue 08 08:06:10 u64 gpu-manager[837]: /etc/modprobe.d is not a file
Tue 08 08:06:10 u64 gpu-manager[837]: /etc/modprobe.d is not a file
Tue 08 08:06:13 u64 gpu-manager[837]: update-alternatives: error: no alternatives for x86_64-linux-gnu_gfxcore_conf
Tue 08 08:06:13 u64 systemd[1]: Started Detect the available GPUs and deal with any system changes.

Changed in ubuntu-drivers-common (Ubuntu):
importance: Undecided → Medium
Peter Antoniac (pan1nx) on 2016-04-04
Changed in ubuntu-drivers-common (Ubuntu):
milestone: none → xenial-updates
Peter Antoniac (pan1nx) wrote :

This seams to cause a lot of troubles on laptops with hybrid video cards (like nvidia-intel). Since this cannot be taken in for release, I marked it for updates.

Kyle (d-ayle-t) wrote :

Just installed Ubuntu 15.04 a few weeks ago.... smashing my head against the wall on this one. Any workarounds available? Is there an ETA on a bugfix?

Peter Antoniac (pan1nx) wrote :

This might be also related to #1410801. Check out also the fixes pushed into #1376966. I will try to test against the latest these days and see if the latest in ubuntu-drivers-common fixed it.

Marco (hiryu-1) wrote :

I experience this problem when I try to use "sudo prime-switch intel"

/etc/modprobe.d is not a file
/etc/modprobe.d is not a file
/etc/modprobe.d is not a file
/etc/modprobe.d is not a file
/etc/modprobe.d is not a file
update-alternatives: error: no alternatives for x86_64-linux-gnu_gfxcore_conf

As of now I cannot switch to the intel chipset with nvidia drivers (364.19) nstalled. If I run "sudo prime-select intel", and I logout it will fail to login.

Peter Antoniac (pan1nx) wrote :

It looks like the gpu-manager.log should now be corrected. Anybody else can add more information to keep this bug still open?

Changed in ubuntu-drivers-common (Ubuntu):
status: Confirmed → Triaged
dino99 (9d9) wrote :

on yakkety 64 bits: gpu-manager.log is clean; but journalctl still has " gpu-manager[875]: /etc/modprobe.d is not a file"

tags: added: yakkety
Florian Fainelli (f-fainelli) wrote :

I am still seeing this problem on Ubuntu 16.04 with a Nvidia GPU only:

mai 07 18:50:26 bender systemd[1]: Starting Light Display Manager...
mai 07 18:50:27 bender lightdm[2112]: /etc/modprobe.d is not a file
mai 07 18:50:27 bender lightdm[2112]: /etc/modprobe.d is not a file
mai 07 18:50:27 bender lightdm[2112]: /etc/modprobe.d is not a file
mai 07 18:50:27 bender lightdm[2112]: /etc/modprobe.d is not a file
mai 07 18:50:27 bender lightdm[2112]: /etc/modprobe.d is not a file
mai 07 18:50:27 bender lightdm[2112]: update-alternatives: error: no alternatives for x86_64-linux-gnu_gfxcore_conf
mai 07 18:50:27 bender systemd[1]: Stopped Light Display Manager.
zsh: exit 3 sudo service lightdm status

ii nvidia-361 361.42-0ubuntu2 amd64 NVIDIA binary driver - version 361.42
ii nvidia-opencl-icd-361 361.42-0ubuntu2 amd64 NVIDIA OpenCL ICD
ii nvidia-prime 0.8.2 amd64 Tools to enable NVIDIA's Prime
ii nvidia-settings 361.42-0ubuntu1 amd64 Tool for configuring the NVIDIA graphics driver

Surprisingly, this causes lightdm not to start automatically upon first boot, but a manual restart works.

Happy to provide more details and help debug that.

Pam Satterthwaite (pamdemonia) wrote :

So I'm having this problem too. I'm on Wily - pretty vanilla install, although I'm using Gnome once I get that far. I don't have a graphics card at all, just whatever intel put on the cruddy i3 mobo that's in this $300 laptop - so no additional drivers.

What is strange is that I didn't have any problems yesterday, and I am today, and yet I didn't install anything yesterday or do any system upgrading.

Just wanted to say that it's not only in nvidia drivers.

If you need any more details, or logs or debugging help, I would gladly provide.

thanks

Also just an FYI:

https://wiki.ubuntu.com/Bugs/Triage (Internal Server Error)

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of Pam Satterthwaite
Sent: Wednesday, May 11, 2016 4:35 AM
To: <email address hidden>
Subject: [Bug 1369216] Re: gpu-manager: /etc/modprobe.d is not a file

So I'm having this problem too. I'm on Wily - pretty vanilla install, although I'm using Gnome once I get that far. I don't have a graphics card at all, just whatever intel put on the cruddy i3 mobo that's in this $300 laptop - so no additional drivers.

What is strange is that I didn't have any problems yesterday, and I am today, and yet I didn't install anything yesterday or do any system upgrading.

Just wanted to say that it's not only in nvidia drivers.

If you need any more details, or logs or debugging help, I would gladly provide.

thanks

--
You received this bug notification because you are subscribed to the bug report.
https://bugs.launchpad.net/bugs/1369216

Title:
  gpu-manager: /etc/modprobe.d is not a file

Status in ubuntu-drivers-common package in Ubuntu:
  Triaged

Bug description:
  Get these lines logged into gpu-manager.log, on that fresh stock
  installation

  /etc/modprobe.d is not a file
  update-alternatives: error: no alternatives for x86_64-linux-gnu_gfxcore_conf

  ProblemType: Bug
  DistroRelease: Ubuntu 14.10
  Package: upstart 1.13.2-0ubuntu1
  ProcVersionSignature: Ubuntu 3.16.0-14.20-generic 3.16.2
  Uname: Linux 3.16.0-14-generic x86_64
  NonfreeKernelModules: nvidia
  ApportVersion: 2.14.7-0ubuntu2
  Architecture: amd64
  CurrentDesktop: GNOME
  Date: Sun Sep 14 08:42:45 2014
  ProcKernelCmdline: BOOT_IMAGE=/boot/vmlinuz-3.16.0-14-generic root=UUID=7c755ed6-51cc-4b75-88ac-9c75acf82749 ro
  SourcePackage: upstart
  UpgradeStatus: No upgrade log present (probably fresh install)
  UpstartBugCategory: System
  UpstartRunningSessionVersion: upstart 1.13.2
  UpstartRunningSystemVersion: init (upstart 1.13.2)
  modified.conffile..etc.default.whoopsie: [modified]
  modified.conffile..etc.gdm.Init.Default: [modified]
  mtime.conffile..etc.default.whoopsie: 2014-08-29T19:12:47.435075
  mtime.conffile..etc.gdm.Init.Default: 2014-09-07T17:01:23.246055

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-drivers-common/+bug/1369216/+subscriptions

Peter Antoniac (pan1nx) on 2016-06-05
Changed in ubuntu-drivers-common (Ubuntu):
status: Triaged → Confirmed
Pander (pander) wrote :

Is there a workaround for xenial?

Kyle (d-ayle-t) wrote :

I updated to v16 and my pc is now unusable, though i suspect its because i did not disable secure boot.

Sent from my HTC

----- Reply message -----
From: "Pander" <email address hidden>
To: <email address hidden>
Subject: [Bug 1369216] Re: gpu-manager: /etc/modprobe.d is not a file
Date: Thu, Sep 15, 2016 10:42 AM

Is there a workaround for xenial?

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1369216

Title:
gpu-manager: /etc/modprobe.d is not a file

Status in ubuntu-drivers-common package in Ubuntu:
Confirmed

Bug description:
Get these lines logged into gpu-manager.log, on that fresh stock
installation

/etc/modprobe.d is not a file
update-alternatives: error: no alternatives for x86_64-linux-gnu_gfxcore_conf

ProblemType: Bug
DistroRelease: Ubuntu 14.10
Package: upstart 1.13.2-0ubuntu1
ProcVersionSignature: Ubuntu 3.16.0-14.20-generic 3.16.2
Uname: Linux 3.16.0-14-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.14.7-0ubuntu2
Architecture: amd64
CurrentDesktop: GNOME
Date: Sun Sep 14 08:42:45 2014
ProcKernelCmdline: BOOT_IMAGE=/boot/vmlinuz-3.16.0-14-generic root=UUID=7c755ed6-51cc-4b75-88ac-9c75acf82749 ro
SourcePackage: upstart
UpgradeStatus: No upgrade log present (probably fresh install)
UpstartBugCategory: System
UpstartRunningSessionVersion: upstart 1.13.2
UpstartRunningSystemVersion: init (upstart 1.13.2)
modified.conffile..etc.default.whoopsie: [modified]
modified.conffile..etc.gdm.Init.Default: [modified]
mtime.conffile..etc.default.whoopsie: 2014-08-29T19:12:47.435075
mtime.conffile..etc.gdm.Init.Default: 2014-09-07T17:01:23.246055

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-drivers-common/+bug/1369216/+subscriptions

Pander (pander) wrote :
Download full text (5.1 KiB)

I have Radeon HD 5970. As root I can do startx and use everything. All has been configured correctly and Mesa OpenCL is even available. I upgraded from xenial-proposed the next three packages too see if it would fix it:

  liblightdm-gobject-1-0:amd64 1.18.3-0ubuntu1
  lightdm 1.18.3-0ubuntu1
  ubuntu-drivers-common 1:0.4.22

It did not. In /var/log/syslog I found:

Sep 15 16:57:44 ### systemd[1]: lightdm.service: Service hold-off time over, scheduling restart.
Sep 15 16:57:44 ### systemd[1]: Stopped Light Display Manager.
Sep 15 16:57:44 ### systemd[1]: Starting Detect the available GPUs and deal with any system changes...
Sep 15 16:57:44 ### gpu-manager[1950]: /etc/modprobe.d is not a file
Sep 15 16:57:44 ### gpu-manager[1950]: message repeated 4 times: [ /etc/modprobe.d is not a file]
Sep 15 16:57:44 ### gpu-manager[1950]: Error: can't open /lib/modules/4.4.0-38-generic/updates/dkms
Sep 15 16:57:44 ### gpu-manager[1950]: Error: can't open /lib/modules/4.4.0-38-generic/updates/dkms
Sep 15 16:57:44 ### gpu-manager[1950]: update-alternatives: error: no alternatives for x86_64-linux-gnu_gfxcore_conf
Sep 15 16:57:44 ### systemd[1]: Started Detect the available GPUs and deal with any system changes.
Sep 15 16:57:44 ### systemd[1]: Starting Light Display Manager...
Sep 15 16:57:44 ### systemd[1]: Started Light Display Manager.
Sep 15 16:57:44 ## systemd[1]: Started Session c10 of user lightdm.
Sep 15 16:57:45 ### systemd[1]: lightdm.service: Main process exited, code=exited, status=1/FAILURE
Sep 15 16:57:45 ### systemd[1]: lightdm.service: Unit entered failed state.
Sep 15 16:57:45 ### systemd[1]: lightdm.service: Failed with result 'exit-code'.
Sep 15 16:57:45 ### systemd[1]: lightdm.service: Service hold-off time over, scheduling restart.
Sep 15 16:57:45 ### systemd[1]: Stopped Light Display Manager.
Sep 15 16:57:45 ### systemd[1]: gpu-manager.service: Start request repeated too quickly.
Sep 15 16:57:45 ### systemd[1]: Failed to start Detect the available GPUs and deal with any system changes.
Sep 15 16:57:45 ### systemd[1]: lightdm.service: Start request repeated too quickly.
Sep 15 16:57:45 ### systemd[1]: Failed to start Light Display Manager.
Sep 15 16:57:45 ### systemd[1]: Stopped Light Display Manager.
Sep 15 16:57:47 ### systemd[1]: gpu-manager.service: Start request repeated too quickly.
Sep 15 16:57:47 ### systemd[1]: Failed to start Detect the available GPUs and deal with any system changes.
Sep 15 16:57:47 ### systemd[1]: lightdm.service: Start request repeated too quickly.
Sep 15 16:57:47 ### systemd[1]: Failed to start Light Display Manager.
Sep 15 16:59:44 ### systemd[1]: Stopping User Manager for UID 104...

And the output of gpu-manager is:

# gpu-manager
last_boot_file: /var/lib/ubuntu-drivers-common/last_gfx_boot
new_boot_file: /var/lib/ubuntu-drivers-common/last_gfx_boot
can't access /run/u-d-c-nvidia-was-loaded file
/etc/modprobe.d is not a file
can't access /run/u-d-c-fglrx-was-loaded file
/etc/modprobe.d is not a file
/etc/modprobe.d is not a file
/etc/modprobe.d is not a file
/etc/modprobe.d is not a file
Looking for fglrx modules in /lib/modules/4....

Read more...

Florian Fainelli (f-fainelli) wrote :

The "/etc/modprobe.d is not a file" error is kind of confusing actually and seems to be some stray debug in share/hybrid/gpu-manager.c.

Do you have nvidia in /etc/modules by chance?

Kyle (d-ayle-t) wrote :

I cant tell anymore as i cant even get to a command prompt anymore, if i recall something about dns is the error now

Sent from my HTC

----- Reply message -----
From: "Florian Fainelli" <email address hidden>
To: <email address hidden>
Subject: [Bug 1369216] Re: gpu-manager: /etc/modprobe.d is not a file
Date: Thu, Sep 15, 2016 10:15 PM

The "/etc/modprobe.d is not a file" error is kind of confusing actually
and seems to be some stray debug in share/hybrid/gpu-manager.c.

Do you have nvidia in /etc/modules by chance?

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1369216

Title:
gpu-manager: /etc/modprobe.d is not a file

Status in ubuntu-drivers-common package in Ubuntu:
Confirmed

Bug description:
Get these lines logged into gpu-manager.log, on that fresh stock
installation

/etc/modprobe.d is not a file
update-alternatives: error: no alternatives for x86_64-linux-gnu_gfxcore_conf

ProblemType: Bug
DistroRelease: Ubuntu 14.10
Package: upstart 1.13.2-0ubuntu1
ProcVersionSignature: Ubuntu 3.16.0-14.20-generic 3.16.2
Uname: Linux 3.16.0-14-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.14.7-0ubuntu2
Architecture: amd64
CurrentDesktop: GNOME
Date: Sun Sep 14 08:42:45 2014
ProcKernelCmdline: BOOT_IMAGE=/boot/vmlinuz-3.16.0-14-generic root=UUID=7c755ed6-51cc-4b75-88ac-9c75acf82749 ro
SourcePackage: upstart
UpgradeStatus: No upgrade log present (probably fresh install)
UpstartBugCategory: System
UpstartRunningSessionVersion: upstart 1.13.2
UpstartRunningSystemVersion: init (upstart 1.13.2)
modified.conffile..etc.default.whoopsie: [modified]
modified.conffile..etc.gdm.Init.Default: [modified]
mtime.conffile..etc.default.whoopsie: 2014-08-29T19:12:47.435075
mtime.conffile..etc.gdm.Init.Default: 2014-09-07T17:01:23.246055

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-drivers-common/+bug/1369216/+subscriptions

dino99 (9d9) wrote :

@Florian

/etc/modules is empty (only a few genuine lines commented), so its not the reason pushing that error.

Florian Fainelli (f-fainelli) wrote :

OK, just wondering because in my case that was it, I had nvidia in /etc/modules and the blacklisted check seemed to fail because of that.

The whole gpu-manager code is pretty unreadable, and quite frankly I don't even think this makes sense to write it in C considering that there is already python code elsewhere, anyway...

Changed in ubuntu-drivers-common (Ubuntu):
assignee: nobody → Canonical Desktop Team (canonical-desktop-team)
dino99 (9d9) wrote :

Test feedback:

as i use a nvidia-370 driver (true with older ones), nvidia-prime & bbswitch are also installed (does not need them on that pc with a unique nvidia 750 card).

Both nvidia driver & ubuntu-drivers-common install nvidia-prime and then bbswitch.

Purging them both and rebooting : the error is still logged. So there is no relationship on this side.

tags: removed: wily
RIchard Blakie (rbo8383) wrote :

To those of you who are concerned with this message '/etc/modprobe.d is not a file', note that this message does not reflect an error. It is simply a wrongly placed and mis-worded message in function "is_module_blacklisted" in gpu-manager.c However, this does not address the situation of incorrectly loaded/unloaded modules for video card changes, which I am scanning the code for. (I am not a developer...)

The line containing this message should be deleted, AND the following line added immediately after the ' if (dry_run) {' line in the same function :

        fprintf(stderr, "In dry_run mode(test), therefore we are not using %s directory \n", modprobe_d_path);

The resulting function code should be as follows :

static bool is_module_blacklisted(const char* module) {
    _cleanup_free_ char *match = NULL;
    char command[100];

    /* It will be a file if it's a test */
    if (dry_run) {

        fprintf(stderr, "In dry_run mode(test), therefore we are not using %s directory \n", modprobe_d_path);

        snprintf(command, sizeof(command),
                 "grep -G \"blacklist.*%s[[:space:]]*$\" %s",
                 module, modprobe_d_path);

        if (exists_not_empty(modprobe_d_path))
            match = get_output(command, NULL, NULL);
    }
    else {
# fprintf(stderr, "%s is not a file\n", modprobe_d_path);
        snprintf(command, sizeof(command),
                 "grep -G \"^blacklist.*%s[[:space:]]*$\" %s/*.conf",
                 module, modprobe_d_path);

        match = get_output(command, NULL, NULL);
    }

    if (!match)
        return false;
    return true;
}

Manfred Hampl (m-hampl) wrote :

Doesn't the first grep command in is_module_blacklisted need adding a ^ identical to the second one -

"grep -G \"blacklist.*%
vs.
"grep -G \"^blacklist.*%

to avoid matching commented-out entries (like "#backlist noveau" etc.)?

Alex R (abr28) wrote :

I'm on 16.04.1 with nvidia 378 (from ppa) and am getting these errors too. So "/etc/modprobe.d is not a file" is safe to ignore. What about "update-alternatives: error: no alternatives for x86_64-linux-gnu_gfxcore_conf" ?

# systemctl status gpu-manager.service
● gpu-manager.service - Detect the available GPUs and deal with any system changes
   Loaded: loaded (/lib/systemd/system/gpu-manager.service; enabled; vendor preset: enabled)
   Active: inactive (dead) since Thu 2017-02-09 19:09:47 GMT; 17min ago
  Process: 1254 ExecStart=/usr/bin/gpu-manager --log /var/log/gpu-manager.log (code=exited, status=0/SUCCESS)
 Main PID: 1254 (code=exited, status=0/SUCCESS)

Feb 09 19:09:46 sparrow systemd[1]: Starting Detect the available GPUs and deal with any system changes...
Feb 09 19:09:46 sparrow gpu-manager[1254]: /etc/modprobe.d is not a file
Feb 09 19:09:46 sparrow gpu-manager[1254]: /etc/modprobe.d is not a file
Feb 09 19:09:46 sparrow gpu-manager[1254]: /etc/modprobe.d is not a file
Feb 09 19:09:46 sparrow gpu-manager[1254]: /etc/modprobe.d is not a file
Feb 09 19:09:46 sparrow gpu-manager[1254]: /etc/modprobe.d is not a file
Feb 09 19:09:47 sparrow gpu-manager[1254]: update-alternatives: error: no alternatives for x86_64-linux-gnu_gfxcore_conf
Feb 09 19:09:47 sparrow systemd[1]: Started Detect the available GPUs and deal with any system changes.

davidak (davidak) wrote :

I have elementary OS 0.4 Loki (based on Ubuntu 16.04.2 LTS) on a Macbook Pro (Retina).

Yesterday i installed the HWE Kernel and Xorg.

apt install --install-recommends linux-generic-hwe-16.04 xserver-xorg-hwe-16.04

Today i rebootet the system since the resolution of the display was strange after suspend. But then i had only tty, no desktop.

I rebootet again and everything was normal again.

But the reported problem is still the case:

davidak@unibook:~$ systemctl status gpu-manager.service
● gpu-manager.service - Detect the available GPUs and deal with any system changes
   Loaded: loaded (/lib/systemd/system/gpu-manager.service; enabled; vendor preset: enabled)
   Active: inactive (dead) since Do 2017-03-09 10:16:36 CET; 15min ago
  Process: 1013 ExecStart=/usr/bin/gpu-manager --log /var/log/gpu-manager.log (code=exited, status=0/SUCCESS)
 Main PID: 1013 (code=exited, status=0/SUCCESS)

Mär 09 10:16:36 unibook systemd[1]: Starting Detect the available GPUs and deal with any system changes...
Mär 09 10:16:36 unibook gpu-manager[1013]: /etc/modprobe.d is not a file
Mär 09 10:16:36 unibook gpu-manager[1013]: /etc/modprobe.d is not a file
Mär 09 10:16:36 unibook gpu-manager[1013]: /etc/modprobe.d is not a file
Mär 09 10:16:36 unibook gpu-manager[1013]: /etc/modprobe.d is not a file
Mär 09 10:16:36 unibook gpu-manager[1013]: /etc/modprobe.d is not a file
Mär 09 10:16:36 unibook gpu-manager[1013]: Error: can't open /lib/modules/4.8.0-41-generic/updates/dkms
Mär 09 10:16:36 unibook gpu-manager[1013]: Error: can't open /lib/modules/4.8.0-41-generic/updates/dkms
Mär 09 10:16:36 unibook gpu-manager[1013]: update-alternatives: Fehler: keine Alternativen für x86_64-linux-gnu_gfxcore_conf
Mär 09 10:16:36 unibook systemd[1]: Started Detect the available GPUs and deal with any system changes.

Not sure if it is related since people have it also with stock xenial.

Nazar Mokrynskyi (nazar-pc) wrote :

@davidak, you might need to build Nvidia module with dkms manually (it fails building automatically for me too more often than not).
You can do this like following:
sudo dkms install -k 4.10.0-11-generic -m nvidia-378/378.13

Just replace kernel version and Nvidia driver version with what you have currently.

Ken Sharp (kennybobs) wrote :

I installed DKMS and it went away.

dino99 (9d9) on 2017-03-12
tags: added: zesty
WinEunuchs2Unix (ricklee518) wrote :

Dell Alienware 17R3 w/Sky Lake, nVidia GTX 970M and Intel HD530 with prime-select set to nVidia. Running Ubuntu 16.04.3 LTS with a laptop screen plus HDMI external screen plus HDMI external screen (via Thunderbolt 3 Displayport to HDMI adapter).

From /var/log/syslog today:

Nov 26 13:33:12 alien lightdm[1093]: /etc/modprobe.d is not a file
Nov 26 13:33:12 alien lightdm[1093]: message repeated 4 times: [ /etc/modprobe.d is not a file]
Nov 26 13:33:12 alien systemd[1]: lightdm.service: Main process exited, code=exited, status=1/FAILURE
Nov 26 13:33:12 alien systemd[1]: lightdm.service: Unit entered failed state.
Nov 26 13:33:12 alien systemd[1]: lightdm.service: Triggering OnFailure= dependencies.
Nov 26 13:33:12 alien systemd[1]: lightdm.service: Failed with result 'exit-code'.
Nov 26 13:33:12 alien systemd[1]: Starting Clean up any mess left by 0dns-up...
Nov 26 13:33:12 alien systemd[1]: Started Run anacron jobs.
Nov 26 13:33:12 alien systemd[1]: Stopped target Graphical Interface.
Nov 26 13:33:12 alien mkdir[1163]: /bin/mkdir: cannot create directory ‘/var/run/pppconfig’: File exists
Nov 26 13:33:12 alien systemd[1]: Starting Restore /etc/resolv.conf if the system crashed before the ppp link was shut down...
Nov 26 13:33:12 alien anacron[1164]: Anacron 2.3 started on 2017-11-26
Nov 26 13:33:12 alien anacron[1164]: Normal exit (0 jobs run)
Nov 26 13:33:12 alien systemd[1]: dns-clean.service: Control process exited, code=exited status=1
Nov 26 13:33:12 alien systemd[1]: Failed to start Clean up any mess left by 0dns-up.
Nov 26 13:33:12 alien systemd[1]: dns-clean.service: Unit entered failed state.
Nov 26 13:33:12 alien systemd[1]: dns-clean.service: Failed with result 'exit-code'.

Frank Earl (linusti) wrote :

It seems to have to do with the Intel side of things. Something not getting done right because of it being 6th or 7th generation. It all pretty much goes to hell in a handbasket when you turn on Intel mode to try to save power. A switch from the command line (Once you go into recovery and exit...) puts it right. Seriously guys. Two plus years on this bug. It's telling that either you're incompetent, or you've got major, major design flaws in the system as a whole and in EITHER case you need to rework things.

dino99 (9d9) wrote :

Here is what Bionic log with a single intel igpu hd530:

oem@ubuntu:~$ journalctl -b | grep gpu-manager
Feb 27 06:29:57 ubuntu gpu-manager[766]: /etc/modprobe.d is not a file
Feb 27 06:29:57 ubuntu gpu-manager[766]: /etc/modprobe.d is not a file
Feb 27 06:29:57 ubuntu gpu-manager[766]: /etc/modprobe.d is not a file
Feb 27 06:29:57 ubuntu gpu-manager[766]: /etc/modprobe.d is not a file
Feb 27 06:29:57 ubuntu gpu-manager[766]: /etc/modprobe.d is not a file
Feb 27 06:29:57 ubuntu gpu-manager[766]: update-alternatives: error: no alternatives for x86_64-linux-gnu_gl_conf
Feb 27 06:29:58 ubuntu gpu-manager[766]: update-alternatives: error: no alternatives for x86_64-linux-gnu_egl_conf
Feb 27 06:29:58 ubuntu gpu-manager[766]: update-alternatives: error: no alternatives for x86_64-linux-gnu_gfxcore_conf
Feb 27 06:29:58 ubuntu gpu-manager[766]: Error: no alternative found

tags: added: artful bionic
removed: yakkety zesty
Harry Coin (hcoin) wrote :
Download full text (3.3 KiB)

 Bionic LTS: dmesg
[ 0.000000] Linux version 4.15.0-20-generic (buildd@lgw01-amd64-039) (gcc version 7.3.0 (Ubuntu 7.3.0-16ubuntu3)) #21-Ubuntu SMP Tue Apr 24 06:16:15 UTC 2018 (Ubuntu 4.15.0-20.21-generic 4.15.17)
[ 0.000000] Command line: BOOT_IMAGE=/@/boot/vmlinuz-4.15.0-20-generic root=UUID=1b414f6c-af2f-4116-a11c-01762878cf09 ro rootflags=subvol=@ nomodeset acpi_enforce_resources=lax pcie_aspm=off enable_mtrr_cleanup mtrr_spare_reg_nr=3 mtrr_gran_size=128M mtrr_chunk_size=256M
[ 0.000000] KERNEL supported cpus:
[ 0.000000] Intel GenuineIntel
[ 0.000000] AMD AuthenticAMD
[ 0.000000] Centaur CentaurHauls
[ 0.000000] x86/fpu: x87 FPU will use FXSAVE
[ 0.000000] e820: BIOS-provided physical RAM map:
[ 0.000000] BIOS-e820: [mem 0x0000000000000000-0x000000000009dbff] usable
[ 0.000000] BIOS-e820: [mem 0x000000000009f800-0x000000000009ffff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000000f0000-0x00000000000fffff] reserved
[ 0.000000] BIOS-e820: [mem 0x0000000000100000-0x00000000bfedffff] usable
[ 0.000000] BIOS-e820: [mem 0x00000000bfee0000-0x00000000bfee2fff] ACPI NVS
[ 0.000000] BIOS-e820: [mem 0x00000000bfee3000-0x00000000bfeeffff] ACPI data
[ 0.000000] BIOS-e820: [mem 0x00000000bfef0000-0x00000000bfefffff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000e0000000-0x00000000e3ffffff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000fec00000-0x00000000ffffffff] reserved
[ 0.000000] BIOS-e820: [mem 0x0000000100000000-0x000000023fffffff] usable
[ 0.000000] NX (Execute Disable) protection: active
[ 0.000000] random: fast init done
[ 0.000000] SMBIOS 2.4 present.
[ 0.000000] DMI: Gigabyte Technology Co., Ltd. P35-DQ6/P35-DQ6, BIOS F9 06/22/2009

...

Apr 28 15:46:26 syslog1db3 kernel: [ 3.025842] nouveau 0000:01:00.0: fifo: read fault at 0000198000 engine 05 [BAR2] client 07 [HOST_CPU] reason 02 [PTE] on channel -1 [003fe36000 unknown]
Apr 28 15:46:26 syslog1db3 kernel: [ 3.026291] nouveau 0000:01:00.0: DRM: allocated 1600x900 fb: 0x60000, bo 000000004f60934e
Apr 28 15:46:26 syslog1db3 kernel: [ 3.028035] fbcon: nouveaufb (fb0) is primary device
Apr 28 15:46:26 syslog1db3 kernel: [ 3.028095] Console: switching to colour frame buffer device 128x48
Apr 28 15:46:26 syslog1db3 kernel: [ 3.028119] nouveau 0000:01:00.0: fb0: nouveaufb frame buffer device
Apr 28 15:46:26 syslog1db3 kernel: [ 3.060003] [drm] Initialized nouveau 1.3.1 20120801 for 0000:01:00.0 on minor 0
Apr 28 15:46:26 syslog1db3 kernel: [ 3.060037] nouveau 0000:02:00.0: enabling device (0000 -> 0003)
Apr 28 15:46:26 syslog1db3 kernel: [ 3.060212] nouveau 0000:02:00.0: NVIDIA GK208B (b06070b1)
Apr 28 15:46:26 syslog1db3 kernel: [ 3.123977] clocksource: Switched to clocksource tsc
Apr 28 15:46:26 syslog1db3 kernel: [ 3.192698] nouveau 0000:02:00.0: bios: version 80.28.78.00.06
Apr 28 15:46:26 syslog1db3 kernel: [ 3.194153] nouveau 0000:02:00.0: fb: 1024 MiB DDR3

..
Apr 28 15:46:26 syslog1db3 gpu-manager[530]: /etc/modprobe.d is not a file
Apr 28 15:46:26 syslog1db3 gpu-manager[530]: Error: can't open /lib/modules/4.15.0-20-generic/updates/dkms
Apr 28 15:46:26 syslog1db3 gpu-manager[530...

Read more...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers